Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
package-license-overrides
CreatePackageLicenseOverride
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-license-overrides \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "package_version_uuid": "<string>",
    "copyright_overrides": {},
    "deselected_copyrights": {},
    "deselected_licenses": {},
    "deselected_notices": {},
    "license_overrides": {},
    "notice_overrides": {}
  },
  "propagate": true,
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "package_version_uuid": "<string>",
    "copyright_overrides": {},
    "deselected_copyrights": {},
    "deselected_licenses": {},
    "deselected_notices": {},
    "license_overrides": {},
    "notice_overrides": {}
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "propagate": true,
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

PackageLicenseOverride represents user edits and selections for licenses, copyrights, and notices at the package version level. Edits made at this level apply across all projects in the namespace that use the same package version. The package version UUID is stored in spec.package_version_uuid.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Indicates whether this override should be visible in child namespaces. When querying from a descendant namespace, handlers should include parent overrides only when this flag is set to true (same inheritance pattern as policies).

tenant_meta
Tenant metadata. · object

Tenant metadata.

Response

A successful response.

PackageLicenseOverride represents user edits and selections for licenses, copyrights, and notices at the package version level. Edits made at this level apply across all projects in the namespace that use the same package version. The package version UUID is stored in spec.package_version_uuid.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object
required

Tenant related data for the tenant containing the resource.

propagate
boolean

Indicates whether this override should be visible in child namespaces. When querying from a descendant namespace, handlers should include parent overrides only when this flag is set to true (same inheritance pattern as policies).

uuid
string

The UUID of the package license override.